# ExposedCRUDRepo

interface ExposedCRUDRepo < ObjectType , IdType > : CommonExposedRepo < IdType , ObjectType > (source)

#### Inheritors

AbstractExposedCRUDRepo
AbstractExposedReadCRUDRepo
AbstractExposedWriteCRUDRepo

## Properties

asId
Link copied to clipboard
abstract val <Error class: unknown class>. asId : IdType
asObject
Link copied to clipboard
abstract val <Error class: unknown class>. asObject : ObjectType
database
Link copied to clipboard
abstract val database : <Error class: unknown class>
selectAll
Link copied to clipboard
open val selectAll : <Error class: unknown class>.() -> <Error class: unknown class>
selectById
Link copied to clipboard
abstract val selectById : <Error class: unknown class>.( IdType ) -> <Error class: unknown class>< Boolean >
selectByIds
Link copied to clipboard
open val selectByIds : <Error class: unknown class>.( List < IdType >) -> <Error class: unknown class>< Boolean >